Package org.gdal.gdal

## Class ComputedBand

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.gdal.Band
    - - org.gdal.gdal.ComputedBand

-     public class ComputedBand
      extends Band

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class org.gdal.gdal.Band

      `_EnablePixelTypeSignedByteWarning, AdviseRead, AdviseRead, AdviseRead, AdviseRead, AdviseRead, AsMDArray, AsType, BinaryOpBand, BinaryOpDouble, BinaryOpDoubleToBand, Checksum, Checksum, ComputeBandStats, ComputeBandStats, ComputeMinMaxLocation, ComputeRasterMinMax, ComputeRasterMinMax, ComputeStatistics, ComputeStatistics, CreateMaskBand, DeleteNoDataValue, Fill, Fill, FlushCache, GetBand, GetBlockSize, GetBlockXSize, GetBlockYSize, GetCategoryNames, GetColorInterpretation, GetColorTable, GetDataset, GetDatasetInternal, getDataType, GetDefaultHistogram, GetDefaultHistogram, GetDefaultHistogram, GetDefaultRAT, GetHistogram, GetHistogram, GetHistogram, GetHistogram, GetMaskBand, GetMaskFlags, GetMaximum, GetMinimum, GetNoDataValue, GetOffset, GetOverview, GetOverviewCount, GetRasterCategoryNames, GetRasterColorInterpretation, GetRasterColorTable, GetRasterDataType, GetSampleOverview, GetScale, GetStatistics, GetStatistics, GetUnitType, getXSize, GetXSize, getYSize, GetYSize, HasArbitraryOverviews, IfThenElse, InterpolateAtGeolocation, InterpolateAtGeolocation, InterpolateAtPoint, IsMaskBand, MaxConstant, MaximumOfNBands, MeanOfNBands, MinConstant, MinimumOfNBands, ReadBlock_Direct, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster, ReadRaster_Direct, ReadRaster_Direct, ReadRaster_Direct, ReadRaster_Direct, ReadRaster_Direct, ReadRaster_Direct, ReadRaster_Direct, SetCategoryNames, SetColorInterpretation, SetColorTable, SetDefaultHistogram, SetDefaultRAT, SetNoDataValue, SetOffset, SetRasterCategoryNames, SetRasterColorInterpretation, SetRasterColorTable, SetScale, SetStatistics, SetUnitType, UnaryOp, WriteBlock_Direct, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster, WriteRaster_Direct, WriteRaster_Direct, WriteRaster_Direct, WriteRaster_Direct, WriteRaster_Direct`

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `Band`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`